# salt.modules.rdp

Manage RDP Service on Windows servers

salt.modules.rdp.disable()

  Disable RDP the service on the server

  CLI Example:

      salt '*' rdp.disable

salt.modules.rdp.disconnect_session(session_id)

  Disconnect a session.

  New in version 2016.11.0.

  Parameters:

    session_id -- The numeric Id of the session.

  Returns:

    A boolean representing whether the disconnect succeeded.

  CLI Example:

      salt '*' rdp.disconnect_session session_id

      salt '*' rdp.disconnect_session 99

salt.modules.rdp.enable()

  Enable RDP the service on the server

  CLI Example:

      salt '*' rdp.enable

salt.modules.rdp.get_session(session_id)

  Get information about a session.

  New in version 2016.11.0.

  Parameters:

    session_id -- The numeric Id of the session.

  Returns:

    A dictionary of session information.

  CLI Example:

      salt '*' rdp.get_session session_id

      salt '*' rdp.get_session 99

salt.modules.rdp.list_sessions(logged_in_users_only=False)

  List information about the sessions.

  New in version 2016.11.0.

  Parameters:

    logged_in_users_only -- If True, only return sessions with users logged in.

  Returns:

    A list containing dictionaries of session information.

  CLI Example:

      salt '*' rdp.list_sessions

salt.modules.rdp.logoff_session(session_id)

  Initiate the logoff of a session.

  New in version 2016.11.0.

  Parameters:

    session_id -- The numeric Id of the session.

  Returns:

    A boolean representing whether the logoff succeeded.

  CLI Example:

      salt '*' rdp.logoff_session session_id

      salt '*' rdp.logoff_session 99

salt.modules.rdp.status()

  Show if rdp is enabled on the server

  CLI Example:

      salt '*' rdp.status